# Plymouth Random Theme

Change plymouth theme to a random theme twice every week, while ensuring
the same theme won't be set multiple times. Consists of a python script
and systemd timer. This script assumes you have lots of themes installed.
If not, try [the plymouth theme collection by
`adi1090x`](https://github.com/adi1090x/plymouth-themes)

## Installation

Clone this repo to your system:

```sh
git clone https://git.fosscommunity.in/perry/plymouth-random-theme.git
```

Now cd into it and install with GNU Make:

```sh
cd plymouth-random-theme
sudo make install && sudo systemctl enable --now plymouth-theme.timer
```

Please do not poweroff or reboot your system immediately after installing,
as it may fail to boot. Changing a theme involves updating the initramfs,
which takes some time even after the above command has executed. Wait a
few minutes until `plymouth-theme.service` deactivates successfully. You
can check the status to see if it finished updating:

```sh
# Easiest way
systemctl status plymouth-theme.service

# Or if you want live updates, use this instead
# Press Control+C when you're done
journalctl -fu plymouth-theme
```

## Uninstalling

```sh
cd plymouth-random-theme
sudo make purge

# or if you want to keep the config file:
sudo make uninstall
```
